import ch08.trees.*;
import java.util.Arrays;

public class Lab8 {

	public static void main(String[] args) {
		BSTInterface<Integer> t = new BinarySearchTree<Integer>();
		t.add(10);
		t.add(7);
		t.add(5);
		t.add(1);
		t.add(15);
		t.add(12);
		t.add(18);
		int treesize = t.size();
		System.out.println("Tree size is: "+treesize);		
		int[] output = new int[treesize];
		t.reset(t.PREORDER);
		for(int i=0;i<treesize;i++) {
			output[i] = t.getNext(t.PREORDER);
		}
		System.out.println(Arrays.toString(output));
		t.reset(t.INORDER);
		for(int i=0;i<treesize;i++) {
			output[i] = t.getNext(t.INORDER);
		}
		System.out.println(Arrays.toString(output));
		t.reset(t.POSTORDER);
		for(int i=0;i<treesize;i++) {
			output[i] = t.getNext(t.POSTORDER);
		}
		System.out.println(Arrays.toString(output));


	}
}
