package ch08.trees;

public interface BSTInterface<T> {
	static final int INORDER = 1;
	static final int PREORDER = 2;
	static final int POSTORDER = 3;
	boolean isEmpty();
	int size();
	void add(T element);
	int reset(int orderType);
	T getNext(int orderType);
}
