package ch08.trees;
import java.util.Deque;
import java.util.ArrayDeque;

public class BinarySearchTree<T extends Comparable<T>> implements BSTInterface<T> {
	protected BSTNode<T> root;
	protected Deque<T> inOrderQueue;
	protected Deque<T> preOrderQueue;
	protected Deque<T> postOrderQueue;

	public BinarySearchTree() {
		root = null;
	}

	public boolean isEmpty() {
		if (root == null) {
			return true;
		}
		return false;
	}

	public int size() {
		return recSize(root);
	}
	public int recSize(BSTNode<T> tree) {
		if(tree==null)
			return 0;
		else
			return recSize(tree.getLeft()) + recSize(tree.getRight()) + 1;
	}

	public void add(T element) {
		root = recAdd(element, root);
	}
	public BSTNode<T> recAdd(T element, BSTNode<T> tree) {
		if(tree == null) {
			tree = new BSTNode<T>(element);
		}
		else if(element.compareTo(tree.getInfo()) <= 0) {
			tree.setLeft(recAdd(element, tree.getLeft()));
		}
		else {
			tree.setRight(recAdd(element, tree.getRight()));
		}
		return tree;
	}
	public int reset(int orderType) {
		//reset the queue structure that holds the nodes, and populate a queue
	}
	public T getNext(int orderType) {
		//iterate through the queue structure
	}
}
